#!/usr/bin ruby
# -*- coding:utf-8 -*-

puts("計算問題です。")
puts("やりたい計算を次の中から半角数字で選んでね。")
puts("1.一桁+一桁")
puts("2.二桁+二桁")
puts("3.三桁+三桁")
puts("4.四桁+四桁")
n=gets.to_i
if n>=5
  puts("1〜3の中で選んでください。")
  exit
end

kekka=[]
def keisann(x,n,kekka)
  printf("%d問目!\n",x)
  srand()
  number1=rand(10**n-10**(n-1)-1)+10**(n-1)
  number2=rand(10**n-10**(n-1)-1)+10**(n-1)
  printf("%d+%d= ",number1,number2)
  number3=gets.to_i
  if number3==number1+number2
    puts("正解!")
    kekka<<x
  else
    puts("不正解…")
    printf("答えは%dでした。\n",number1+number2)
  end
  puts("")
end

y=1
while y<4
  keisann(y,n,kekka)
  y+=1
end

puts("結果発表!")
puts("あなたは3問中…")
sleep(1)
if kekka.length==0
  puts("全問不正解……")
  puts("次は頑張ろう!")
elsif kekka.length==1
  puts("1問正解!")
  puts("全問正解まであと二問!頑張って!")
elsif kekka.length==2
  puts("2問正解!")
  puts("惜しい…全問正解まであと一問!")
else kekka.length==3
  puts("全問正解!")
  puts("すごいね!")
end
